Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.stochprocess
Class BrownianMotionPCA

    java.lang.Object
      umontreal.iro.lecuyer.stochprocess.StochasticProcess
          umontreal.iro.lecuyer.stochprocess.BrownianMotion
              umontreal.iro.lecuyer.stochprocess.BrownianMotionPCA

    public class BrownianMotionPCA

extends BrownianMotion

A Brownian motion process {X(t) : t >= 0} sampled using the principal component decomposition (PCA).

Field Summary

Fields inherited from class umontreal.iro.lecuyer.stochprocess.StochasticProcess
`path`

Constructor Summary
`BrownianMotionPCA(double x0, double mu, double sigma, NormalGen gen)` Constructs a new `BrownianMotionBridge` with parameters μ = [tex2html_wrap_inline118], σ = [tex2html_wrap_inline120] and initial value X(t0) = [tex2html_wrap_inline122].
`BrownianMotionPCA(double x0, double mu, double sigma, RandomStream stream)` .

Method Summary
`double[][]` | `decompPCA(double[][] sigma)`
`double[]` | `generatePath()` Generates, returns, and saves the sample path {X(t0), X(t1),…, X(td)}, which can then be accessed via `getPath`, `getSubpath`, or `getObservation`.
`double[]` | `generatePath(double[] uniform01)` Same as generatePath(), but a vector of uniform random numbers must be provided to the method.
`double[]` | `getSortedEigenvalues()` Returns the sorted eigenvalues obtained in the PCA decomposition.
`double` | `nextObservation()` Generates and returns the next observation X(tj) of the stochastic process.
`void` | `setParams(double x0, double mu, double sigma)` Resets the parameters X(t0) = [tex2html_wrap_inline288], μ = [tex2html_wrap_inline290] and σ = [tex2html_wrap_inline292] of the process.

Methods inherited from class umontreal.iro.lecuyer.stochprocess.BrownianMotion
`generatePath, getGen, getMu, getSigma, getStream, nextObservation, nextObservation, setStream`

Methods inherited from class umontreal.iro.lecuyer.stochprocess.StochasticProcess
`getArrayMappingCounterToIndex, getCurrentObservation, getCurrentObservationIndex, getNbObservationTimes, getObservation, getObservationTimes, getPath, getSubpath, getX0, hasNextObservation, resetStartProcess, setObservationTimes, setObservationTimes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrownianMotionPCA

    public BrownianMotionPCA(double x0,
                             double mu,
                             double sigma,
                             RandomStream stream)

  . Constructs a new `BrownianMotionBridge` with parameters μ = , σ = and initial value X(t0) = . The normal variates will be generated by inversion using the `RandomStream` `stream`.

### BrownianMotionPCA

    public BrownianMotionPCA(double x0,
                             double mu,
                             double sigma,
                             NormalGen gen)

  Constructs a new `BrownianMotionBridge` with parameters μ = [tex2html_wrap_inline118], σ = [tex2html_wrap_inline120] and initial value X(t0) = [tex2html_wrap_inline122]. The normal variates will be generated by the `NormalGen` `gen`.

Method Detail

### nextObservation

    public double nextObservation()

  Description copied from class: `StochasticProcess`
  Generates and returns the next observation X(tj) of the stochastic process. The processes are usually sampled sequentially, i.e. if the last observation generated was for time tj-1, the next observation returned will be for time tj. In some cases, subclasses extending this abstract class may use non-sequential sampling algorithms (such as bridge sampling). The order of generation of the tj's is then specified by the subclass. All the processes generated using principal components analysis (PCA) do not have this method.

  Overrides:
    `nextObservation` in class `BrownianMotion`

### setParams

    public void setParams(double x0,
                          double mu,
                          double sigma)

  Description copied from class: `BrownianMotion`
  Resets the parameters X(t0) = [tex2html_wrap_inline288], μ = [tex2html_wrap_inline290] and σ = [tex2html_wrap_inline292] of the process. Warning: This method will recompute some quantities stored internally, which may be slow if called too frequently.

  Overrides:
    `setParams` in class `BrownianMotion`

### generatePath

    public double[] generatePath()

  Description copied from class: `StochasticProcess`
  Generates, returns, and saves the sample path {X(t0), X(t1),…, X(td)}, which can then be accessed via `getPath`, `getSubpath`, or `getObservation`. The generation method depends on the process type.

  Overrides:
    `generatePath` in class `BrownianMotion`

### generatePath

    public double[] generatePath(double[] uniform01)

  Description copied from class: `BrownianMotion`
  Same as generatePath(), but a vector of uniform random numbers must be provided to the method. These uniform random numbers are used to generate the path.

  Overrides:
    `generatePath` in class `BrownianMotion`

### decompPCA

    public double[][] decompPCA(double[][] sigma)

### getSortedEigenvalues

    public double[] getSortedEigenvalues()

  Returns the sorted eigenvalues obtained in the PCA decomposition.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.